Christian Theune wrote:

Stephan Richter schrieb:
On Saturday 23 February 2008, Jim Fulton wrote:
The additional version specification should be merged into the extends version section. The version "1.3.1dev" is the version the develop egg specifies.
Yes. That's how it works now.

Cool, then I think the behavior is correct. I think it is merely a matter of communicating that things work this way.

I agree.

Shame on you, Christian, are you a Grok developer? :)

It's a clear DRY violation, the name of the package (and even the version number) repeats here.

This means we should not be satisfied with the response of communication if there's a way to fix this. There are two ways to fix this:

* change 'develop'. It's clear this one is out. People like its current behavior. I'm surprised not more people were surprised than me, but I guess I'm just as smart as most people. :)

* add a new option, 'really_develop', that adds the thing to [versions] and to the develop path at the same time.



Zope-Dev maillist  -
**  No cross posts or HTML encoding!  **
(Related lists - )

Reply via email to